<?php
require('./Parser.php'); 

$text = "this is some text with a <BKtag /> <BKBlock>this <BKNested>is some</BKNested> more text</BKBlock><BKBlock2 foo='bar' test='attribute'>this is some more text</BKBlock2> <BKTagWithAttributes jason='wall' this='woot' />";

$parser = new Parser();

$results = $parser->parse_text($text);

echo '<br /><table border="1">';
echo '<tr><td>Type</td><td>TagName</td><td>Block</td><td>Attributes</td></tr>';
foreach ($results as $result) {
	echo '<tr>'; 
	echo '<td>' . $result["type"] . '</td><td>' . $result['tagname'] . '</td><td>' . $result["block"] . '&nbsp;</td>';
	echo '<td>&nbsp;';
	if (count($result["attributes"]) > 0) {
		foreach ($result['attributes'] as $attribute) {
			echo key($result['attributes']) . '->' . $attribute . '<br />';
		}
	}
	echo '</td';
	echo '</tr>';
}
echo '</table>';
echo '<br /><br /><pre>';
echo var_dump($results);
echo '</pre>';
?>
